<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__wcm__associated__ap__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_wcm_associated_ap_info_t</compoundname>
    <includes local="no">cy_wcm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__wcm__associated__ap__info__t_1a06331c62076e5bffb4bb152e10392c08" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__typedefs_1ga1ebac1800928741a07555a14539f3748">cy_wcm_ssid_t</ref></type>
        <definition>cy_wcm_ssid_t cy_wcm_associated_ap_info_t::SSID</definition>
        <argsstring />
        <name>SSID</name>
        <briefdescription>
<para>Associated AP name. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="498" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="498" />
      </memberdef>
      <memberdef id="structcy__wcm__associated__ap__info__t_1ae6bea8ffe1b1fd74f0715601806b93cf" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__typedefs_1ga510db2323122294f3956024396ba2ff5">cy_wcm_mac_t</ref></type>
        <definition>cy_wcm_mac_t cy_wcm_associated_ap_info_t::BSSID</definition>
        <argsstring />
        <name>BSSID</name>
        <briefdescription>
<para>BSSID (MAC address) of the associated AP. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="499" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="499" />
      </memberdef>
      <memberdef id="structcy__wcm__associated__ap__info__t_1a4b47f1136ce398758b642a9497df4ac2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__enums_1ga8b22f5a47073d5219440566d0e53e521">cy_wcm_security_t</ref></type>
        <definition>cy_wcm_security_t cy_wcm_associated_ap_info_t::security</definition>
        <argsstring />
        <name>security</name>
        <briefdescription>
<para>Security of the associated AP. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="see"><para><ref kindref="member" refid="group__group__wcm__enums_1ga8b22f5a47073d5219440566d0e53e521">cy_wcm_security_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="500" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="500" />
      </memberdef>
      <memberdef id="structcy__wcm__associated__ap__info__t_1a7c1cb78975c5725a09dd892fea008c83" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_wcm_associated_ap_info_t::channel_width</definition>
        <argsstring />
        <name>channel_width</name>
        <briefdescription>
<para>Channel width (bandwidth in MHz) of the AP. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="501" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="501" />
      </memberdef>
      <memberdef id="structcy__wcm__associated__ap__info__t_1a5509aacd600eed0acaa2233884326ba9" kind="variable" mutable="no" prot="public" static="no">
        <type>int16_t</type>
        <definition>int16_t cy_wcm_associated_ap_info_t::signal_strength</definition>
        <argsstring />
        <name>signal_strength</name>
        <briefdescription>
<para>RSSI in dBm. </para>        </briefdescription>
        <detaileddescription>
<para>(&lt;-90=Very poor, &gt;-30=Excellent). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="502" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="502" />
      </memberdef>
      <memberdef id="structcy__wcm__associated__ap__info__t_1ae9076adfc8363be7e62a43c3f21b8220" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_wcm_associated_ap_info_t::channel</definition>
        <argsstring />
        <name>channel</name>
        <briefdescription>
<para>Radio channel of the AP. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="503" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="503" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure used to receive the information of the associated AP from <ref kindref="member" refid="group__group__wcm__functions_1gad91ebcdcf8452d23b68cf3b225b4ea33">cy_wcm_get_associated_ap_info()</ref>. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="504" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="496" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="497" />
    <listofallmembers>
      <member prot="public" refid="structcy__wcm__associated__ap__info__t_1ae6bea8ffe1b1fd74f0715601806b93cf" virt="non-virtual"><scope>cy_wcm_associated_ap_info_t</scope><name>BSSID</name></member>
      <member prot="public" refid="structcy__wcm__associated__ap__info__t_1ae9076adfc8363be7e62a43c3f21b8220" virt="non-virtual"><scope>cy_wcm_associated_ap_info_t</scope><name>channel</name></member>
      <member prot="public" refid="structcy__wcm__associated__ap__info__t_1a7c1cb78975c5725a09dd892fea008c83" virt="non-virtual"><scope>cy_wcm_associated_ap_info_t</scope><name>channel_width</name></member>
      <member prot="public" refid="structcy__wcm__associated__ap__info__t_1a4b47f1136ce398758b642a9497df4ac2" virt="non-virtual"><scope>cy_wcm_associated_ap_info_t</scope><name>security</name></member>
      <member prot="public" refid="structcy__wcm__associated__ap__info__t_1a5509aacd600eed0acaa2233884326ba9" virt="non-virtual"><scope>cy_wcm_associated_ap_info_t</scope><name>signal_strength</name></member>
      <member prot="public" refid="structcy__wcm__associated__ap__info__t_1a06331c62076e5bffb4bb152e10392c08" virt="non-virtual"><scope>cy_wcm_associated_ap_info_t</scope><name>SSID</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>